http:
  routers:
    dashy:
      rule: "Host(`rpisrv.com`)"
      entrypoints:
        - "https"
      service: dashy
      middlewares:
        - https-redirect
        - dashy-secure-headers
      tls:
        domains:
          - main: "rpisrv.com"
        certresolver: ""

  services:
    dashy:
      loadBalancer:
        servers:
          - url: "http://dashy:8080"
        passHostHeader: true

  middlewares:
    dashy-secure-headers:
      headers:
        hostsProxyHeaders:
          - "X-Forwarded-Host"
        referrerPolicy: "same-origin"
        customResponseHeaders:
          - X-Robots-Tag: "none"

    https-redirect:
      redirectscheme:
        scheme: https 
        permanent: true 

